%define name arista
%define version 0.9.7
%define release %mkrel 2

Summary: A simple preset-based transcoder 
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: GPLv2+
URL:     http://programmer-art.org/projects/arista-transcoder
Group:   Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel 
BuildArch: noarch
Requires: python-gudev
Requires: python-dbus
Requires: python-cairo
Requires: python-gobject
Requires: pygtk2.0 
Requires: gnome-python-gconf
Requires: gstreamer0.10-python
Requires: gstreamer0.10-ffmpeg
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: python-pyinotify
Requires: gstreamer0.10-ffmpeg
Requires: python-simplejson
Requires: python >= 2.7
Obsoletes: arista-gui < %version
Provides: arista-gui = %version-%release


%description
A simple preset-based transcoder for the GNOME Desktop and a small script for 
terminal-based transcoding. Settings are chosen based on output device and 
quality preset.


%prep
%setup -q 


%build
python setup.py build

%install
rm -rf %{buildroot} 
python setup.py install --root=%{buildroot}

cp -r $RPM_BUILD_ROOT%{_bindir}/%{name}-transcode $RPM_BUILD_ROOT%{_bindir}/%{name}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %name

#remove 
rm -f $RPM_BUILD_ROOT%{_bindir}/%{name}-transcode
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/README
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/templates/arista.pot
rm -rf %{buildroot}%{_datadir}/doc/%name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files -f %name.lang
%defattr(-,root,root)
%doc README.* LICENSE AUTHORS
%_bindir/%{name}
%{py_sitedir}/*
%_bindir/%{name}-gtk
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/nautilus-python/extensions/arista-nautilus.py


%changelog
* Sat Aug 24 2013 billybot <billybot> 0.9.7-2pclos2013
- update python 2.7

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.9.5-2pclos2010
- add missing dependency python-simplejson

* Sat Jun 12 2010 slick50 <lxgator@gmail.com>  0.9.5-1pclos2010
- 0.9.5

* Sun May 30 2010 slick50 <lxgator@gmail.com>  0.9.4.1-1pclos2010
- 0.9.4.1

* Sun Jun 28 2009 slick50 <lxgator@gmail.com> 0.9.3-1pclos2009
- 0.9.3

* Thu May 14 2009 slick50 <lxgator@gmail.com> 0.8-1pclos2009
- initial pkg
